$(function(){
	
	/* $.validator.setDefaults({
		submitHandler: function() {
		  alert("提交事件!");
		}
	}); */
	
	 $(".signup-form").validate({
	
			 submitHandler:(form) => {
				 var success=$(".head_success").val();
				  var warning=$(".head_warning").val();
				   var success1=$(".signin_success").val();
				    var warning1=$(".signin_warning").val()
					 
				if($(".agreeme")[0].checked) {
					zeroModal.success({
						unique:'1',
						opacity:0.8,
						content:success,
						contentDetail:success1,
						width:'300px',
						height:'260px',
						ok:false,
						onClosed:function(){
							;//location.href='../signin/signin.html'
						},
						onComplete:function(evn){
							login()
							console.log('onComplete')
							setTimeout(function(){
								location.href='../lanhu/index.html'
								zeroModal.close('1');
							},3000);
						}
					}) 
				}else{
					zeroModal.alert({
						unique:'1',
						opacity:0.8,
						content:warning,
						contentDetail:warning1,
						width:'300px',
						height:'260px',
						ok:false,
						onClosed:function(){
							;//location.href='../signin/signin.html'
						},
						onComplete:function(evn){
							
							console.log('onComplete')
							setTimeout(function(){
								
								zeroModal.close('1');
							},3000);
						}
					}) 
				}
				 
				 
			 }
	});
	function login(){
		
		window.localStorage.setItem("loginUser",$("#email").val())
		console.log($("#email").val())
	}
	
	$(".form-control").on("input",function(evn){
		//console.log('input');
		let $icon=$(this).siblings('.input-tool-icon');
		if($(this).val().length>0){
			$icon.show();
		}
		else{
			$icon.hide();
		}
		
	});
	
	$(".form-group-custom").on("click",".glyphicon-remove",function(evn){
		$(this).siblings('.form-control').val('');
		$(this).hide();
	});
	
	$(".form-group-custom").on("click",".glyphicon-eye-open",function(evn){
		$(this).siblings('.form-control').prop('type','text');
		$(this).removeClass('glyphicon-eye-open');
		$(this).addClass('glyphicon-eye-close');
	});
	
	$(".form-group-custom").on("click",".glyphicon-eye-close",function(evn){
		$(this).siblings('.form-control').prop('type','password');
		$(this).removeClass('glyphicon-eye-close');
		$(this).addClass('glyphicon-eye-open');
	});
	
	$(".tip-txt-link").on("click",function(){
		let forward=$(this).data('forward');
		if(forward){
			location.href=forward;
		}
	});
	
	$(".create-btn2").on("click",function(evn){
		let md=zeroModal.success({
			unique:'1',
			opacity:0.8,
			content:'success',
			contentDetail:'You have successfully registered',
			width:'300px',
			height:'260px',
			ok:false,
			onClosed:function(){
				;//location.href='../signin/signin.html'
			},
			onComplete:function(evn){
				console.log('onComplete')
				setTimeout(function(){
					zeroModal.close('1');
				},3000);
			}
			
		})
	});
	
	
});


